import { type WalkAncestor } from "../utils/node.js";
import { ScopeInfo } from "./types.js";
import type { TypeCheckerContext } from "./types.js";
export declare function checkScopes(scopes: ScopeInfo[], ctx: TypeCheckerContext): void;
export declare function isInsideHandler(ancestors: WalkAncestor[]): boolean;
